{
  "version": 3,
  "pages404": true,
  "appType": "app",
  "caseSensitive": false,
  "basePath": "",
  "redirects": [
    {
      "source": "/:path+/",
      "destination": "/:path+",
      "internal": true,
      "priority": true,
      "statusCode": 308,
      "regex": "^(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))/$"
    },
    {
      "source": "/favicon.ico",
      "destination": "/icon.svg",
      "statusCode": 307,
      "regex": "^(?!/_next)/favicon\\.ico(?:/)?$"
    }
  ],
  "headers": [],
  "onMatchHeaders": [],
  "rewrites": {
    "beforeFiles": [],
    "afterFiles": [
      {
        "source": "/api/:path*",
        "destination": "https://asfexp.rsdcglobal.com/api/:path*",
        "regex": "^/api(?:/((?:[^/]+?)(?:/(?:[^/]+?))*))?(?:/)?$"
      }
    ],
    "fallback": []
  },
  "dynamicRoutes": [
    {
      "page": "/accounts/employees/[id]",
      "regex": "^/accounts/employees/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/employees/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/accounts/expenses/[id]",
      "regex": "^/accounts/expenses/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/expenses/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/accounts/opening-balances/[id]",
      "regex": "^/accounts/opening\\-balances/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/opening\\-balances/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/accounts/salaries/[id]",
      "regex": "^/accounts/salaries/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/salaries/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/accounts/transfers/[id]",
      "regex": "^/accounts/transfers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/transfers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/accounts/[id]",
      "regex": "^/accounts/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/accounts/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/customers/[id]",
      "regex": "^/customers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/customers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/customers/[id]/edit",
      "regex": "^/customers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/customers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/dealers/[id]",
      "regex": "^/dealers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/dealers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/dealers/[id]/edit",
      "regex": "^/dealers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/dealers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/districts/[id]",
      "regex": "^/districts/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/districts/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/franchise/groups/[id]",
      "regex": "^/franchise/groups/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/franchise/groups/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/hrm/employees/[id]",
      "regex": "^/hrm/employees/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/hrm/employees/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/hrm/payroll/[id]",
      "regex": "^/hrm/payroll/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/hrm/payroll/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/inventory/adjustments/[id]",
      "regex": "^/inventory/adjustments/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/inventory/adjustments/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/inventory/opening-stock/[id]",
      "regex": "^/inventory/opening\\-stock/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/inventory/opening\\-stock/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/inventory/transfers/[id]",
      "regex": "^/inventory/transfers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/inventory/transfers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/pos/receipt/pending/[clientId]",
      "regex": "^/pos/receipt/pending/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPclientId": "nxtPclientId"
      },
      "namedRegex": "^/pos/receipt/pending/(?<nxtPclientId>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchases/invoices/[id]",
      "regex": "^/purchases/invoices/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchases/invoices/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchases/invoices/[id]/edit",
      "regex": "^/purchases/invoices/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchases/invoices/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/purchases/payments/[id]",
      "regex": "^/purchases/payments/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchases/payments/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/purchases/returns/[id]",
      "regex": "^/purchases/returns/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/purchases/returns/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/replacement/claims/[id]",
      "regex": "^/replacement/claims/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/replacement/claims/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/replacement/issues/[id]",
      "regex": "^/replacement/issues/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/replacement/issues/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/replacement/requests/[id]",
      "regex": "^/replacement/requests/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/replacement/requests/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/replacement/returns/[id]",
      "regex": "^/replacement/returns/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/replacement/returns/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/sales/collections/[id]",
      "regex": "^/sales/collections/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/sales/collections/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/sales/invoices/[id]",
      "regex": "^/sales/invoices/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/sales/invoices/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/sales/invoices/[id]/edit",
      "regex": "^/sales/invoices/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/sales/invoices/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/sales/invoices/[id]/print",
      "regex": "^/sales/invoices/([^/]+?)/print(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/sales/invoices/(?<nxtPid>[^/]+?)/print(?:/)?$"
    },
    {
      "page": "/sales/returns/[id]",
      "regex": "^/sales/returns/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/sales/returns/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/settings/products/[id]",
      "regex": "^/settings/products/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/products/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/settings/products/[id]/barcodes",
      "regex": "^/settings/products/([^/]+?)/barcodes(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/products/(?<nxtPid>[^/]+?)/barcodes(?:/)?$"
    },
    {
      "page": "/settings/products/[id]/edit",
      "regex": "^/settings/products/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/products/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/settings/products/[id]/uoms",
      "regex": "^/settings/products/([^/]+?)/uoms(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/products/(?<nxtPid>[^/]+?)/uoms(?:/)?$"
    },
    {
      "page": "/settings/products/[id]/variants",
      "regex": "^/settings/products/([^/]+?)/variants(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/products/(?<nxtPid>[^/]+?)/variants(?:/)?$"
    },
    {
      "page": "/settings/roles/[id]",
      "regex": "^/settings/roles/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/roles/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/settings/stores/[id]",
      "regex": "^/settings/stores/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/settings/stores/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/suppliers/[id]",
      "regex": "^/suppliers/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/suppliers/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/suppliers/[id]/edit",
      "regex": "^/suppliers/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/suppliers/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    },
    {
      "page": "/vendors/[id]",
      "regex": "^/vendors/([^/]+?)(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/vendors/(?<nxtPid>[^/]+?)(?:/)?$"
    },
    {
      "page": "/vendors/[id]/edit",
      "regex": "^/vendors/([^/]+?)/edit(?:/)?$",
      "routeKeys": {
        "nxtPid": "nxtPid"
      },
      "namedRegex": "^/vendors/(?<nxtPid>[^/]+?)/edit(?:/)?$"
    }
  ],
  "staticRoutes": [
    {
      "page": "/",
      "regex": "^/(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/(?:/)?$"
    },
    {
      "page": "/_global-error",
      "regex": "^/_global\\-error(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_global\\-error(?:/)?$"
    },
    {
      "page": "/_not-found",
      "regex": "^/_not\\-found(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/_not\\-found(?:/)?$"
    },
    {
      "page": "/accounts",
      "regex": "^/accounts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts(?:/)?$"
    },
    {
      "page": "/accounts/commissions/reports/yearly-closing",
      "regex": "^/accounts/commissions/reports/yearly\\-closing(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/commissions/reports/yearly\\-closing(?:/)?$"
    },
    {
      "page": "/accounts/commissions/schemes",
      "regex": "^/accounts/commissions/schemes(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/commissions/schemes(?:/)?$"
    },
    {
      "page": "/accounts/commissions/settlements",
      "regex": "^/accounts/commissions/settlements(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/commissions/settlements(?:/)?$"
    },
    {
      "page": "/accounts/employees",
      "regex": "^/accounts/employees(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/employees(?:/)?$"
    },
    {
      "page": "/accounts/employees/new",
      "regex": "^/accounts/employees/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/employees/new(?:/)?$"
    },
    {
      "page": "/accounts/expenses",
      "regex": "^/accounts/expenses(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/expenses(?:/)?$"
    },
    {
      "page": "/accounts/expenses/new",
      "regex": "^/accounts/expenses/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/expenses/new(?:/)?$"
    },
    {
      "page": "/accounts/ledger",
      "regex": "^/accounts/ledger(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/ledger(?:/)?$"
    },
    {
      "page": "/accounts/opening-balances",
      "regex": "^/accounts/opening\\-balances(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/opening\\-balances(?:/)?$"
    },
    {
      "page": "/accounts/opening-balances/journal",
      "regex": "^/accounts/opening\\-balances/journal(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/opening\\-balances/journal(?:/)?$"
    },
    {
      "page": "/accounts/opening-balances/new",
      "regex": "^/accounts/opening\\-balances/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/opening\\-balances/new(?:/)?$"
    },
    {
      "page": "/accounts/profit-loss",
      "regex": "^/accounts/profit\\-loss(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/profit\\-loss(?:/)?$"
    },
    {
      "page": "/accounts/reconcile",
      "regex": "^/accounts/reconcile(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/reconcile(?:/)?$"
    },
    {
      "page": "/accounts/salaries",
      "regex": "^/accounts/salaries(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/salaries(?:/)?$"
    },
    {
      "page": "/accounts/salaries/new",
      "regex": "^/accounts/salaries/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/salaries/new(?:/)?$"
    },
    {
      "page": "/accounts/transactions",
      "regex": "^/accounts/transactions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/transactions(?:/)?$"
    },
    {
      "page": "/accounts/transactions/new",
      "regex": "^/accounts/transactions/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/transactions/new(?:/)?$"
    },
    {
      "page": "/accounts/transfers",
      "regex": "^/accounts/transfers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/transfers(?:/)?$"
    },
    {
      "page": "/accounts/transfers/new",
      "regex": "^/accounts/transfers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/accounts/transfers/new(?:/)?$"
    },
    {
      "page": "/activity-log",
      "regex": "^/activity\\-log(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/activity\\-log(?:/)?$"
    },
    {
      "page": "/barcode-print",
      "regex": "^/barcode\\-print(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/barcode\\-print(?:/)?$"
    },
    {
      "page": "/courier/couriers",
      "regex": "^/courier/couriers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/courier/couriers(?:/)?$"
    },
    {
      "page": "/courier/shipments",
      "regex": "^/courier/shipments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/courier/shipments(?:/)?$"
    },
    {
      "page": "/courier/shipments/new",
      "regex": "^/courier/shipments/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/courier/shipments/new(?:/)?$"
    },
    {
      "page": "/courier/zones",
      "regex": "^/courier/zones(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/courier/zones(?:/)?$"
    },
    {
      "page": "/customers",
      "regex": "^/customers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/customers(?:/)?$"
    },
    {
      "page": "/customers/new",
      "regex": "^/customers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/customers/new(?:/)?$"
    },
    {
      "page": "/dashboard",
      "regex": "^/dashboard(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dashboard(?:/)?$"
    },
    {
      "page": "/dealers",
      "regex": "^/dealers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dealers(?:/)?$"
    },
    {
      "page": "/dealers/new",
      "regex": "^/dealers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/dealers/new(?:/)?$"
    },
    {
      "page": "/districts",
      "regex": "^/districts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/districts(?:/)?$"
    },
    {
      "page": "/forgot-password",
      "regex": "^/forgot\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/forgot\\-password(?:/)?$"
    },
    {
      "page": "/franchise/groups",
      "regex": "^/franchise/groups(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/franchise/groups(?:/)?$"
    },
    {
      "page": "/franchise/groups/new",
      "regex": "^/franchise/groups/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/franchise/groups/new(?:/)?$"
    },
    {
      "page": "/franchise/replenishment-orders",
      "regex": "^/franchise/replenishment\\-orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/franchise/replenishment\\-orders(?:/)?$"
    },
    {
      "page": "/franchise/reports",
      "regex": "^/franchise/reports(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/franchise/reports(?:/)?$"
    },
    {
      "page": "/franchise/royalty",
      "regex": "^/franchise/royalty(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/franchise/royalty(?:/)?$"
    },
    {
      "page": "/hrm/departments",
      "regex": "^/hrm/departments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/departments(?:/)?$"
    },
    {
      "page": "/hrm/designations",
      "regex": "^/hrm/designations(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/designations(?:/)?$"
    },
    {
      "page": "/hrm/employees",
      "regex": "^/hrm/employees(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/employees(?:/)?$"
    },
    {
      "page": "/hrm/employees/new",
      "regex": "^/hrm/employees/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/employees/new(?:/)?$"
    },
    {
      "page": "/hrm/payroll",
      "regex": "^/hrm/payroll(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/payroll(?:/)?$"
    },
    {
      "page": "/hrm/payroll/new",
      "regex": "^/hrm/payroll/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/payroll/new(?:/)?$"
    },
    {
      "page": "/hrm/salary-contracts",
      "regex": "^/hrm/salary\\-contracts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/salary\\-contracts(?:/)?$"
    },
    {
      "page": "/hrm/salary-structures",
      "regex": "^/hrm/salary\\-structures(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/hrm/salary\\-structures(?:/)?$"
    },
    {
      "page": "/inventory/adjustments",
      "regex": "^/inventory/adjustments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/adjustments(?:/)?$"
    },
    {
      "page": "/inventory/adjustments/new",
      "regex": "^/inventory/adjustments/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/adjustments/new(?:/)?$"
    },
    {
      "page": "/inventory/counts",
      "regex": "^/inventory/counts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/counts(?:/)?$"
    },
    {
      "page": "/inventory/damage-management",
      "regex": "^/inventory/damage\\-management(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/damage\\-management(?:/)?$"
    },
    {
      "page": "/inventory/damage-management/history",
      "regex": "^/inventory/damage\\-management/history(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/damage\\-management/history(?:/)?$"
    },
    {
      "page": "/inventory/movements",
      "regex": "^/inventory/movements(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/movements(?:/)?$"
    },
    {
      "page": "/inventory/movements/new",
      "regex": "^/inventory/movements/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/movements/new(?:/)?$"
    },
    {
      "page": "/inventory/opening-stock",
      "regex": "^/inventory/opening\\-stock(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/opening\\-stock(?:/)?$"
    },
    {
      "page": "/inventory/opening-stock/new",
      "regex": "^/inventory/opening\\-stock/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/opening\\-stock/new(?:/)?$"
    },
    {
      "page": "/inventory/serials",
      "regex": "^/inventory/serials(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/serials(?:/)?$"
    },
    {
      "page": "/inventory/stock",
      "regex": "^/inventory/stock(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/stock(?:/)?$"
    },
    {
      "page": "/inventory/stock-layers",
      "regex": "^/inventory/stock\\-layers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/stock\\-layers(?:/)?$"
    },
    {
      "page": "/inventory/transfers",
      "regex": "^/inventory/transfers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/transfers(?:/)?$"
    },
    {
      "page": "/inventory/transfers/new",
      "regex": "^/inventory/transfers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/inventory/transfers/new(?:/)?$"
    },
    {
      "page": "/login",
      "regex": "^/login(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/login(?:/)?$"
    },
    {
      "page": "/pos",
      "regex": "^/pos(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pos(?:/)?$"
    },
    {
      "page": "/pos/shifts",
      "regex": "^/pos/shifts(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pos/shifts(?:/)?$"
    },
    {
      "page": "/pos/sync-queue",
      "regex": "^/pos/sync\\-queue(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pos/sync\\-queue(?:/)?$"
    },
    {
      "page": "/pos/terminals",
      "regex": "^/pos/terminals(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pos/terminals(?:/)?$"
    },
    {
      "page": "/pricing",
      "regex": "^/pricing(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/pricing(?:/)?$"
    },
    {
      "page": "/purchases",
      "regex": "^/purchases(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases(?:/)?$"
    },
    {
      "page": "/purchases/invoices",
      "regex": "^/purchases/invoices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/invoices(?:/)?$"
    },
    {
      "page": "/purchases/invoices/new",
      "regex": "^/purchases/invoices/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/invoices/new(?:/)?$"
    },
    {
      "page": "/purchases/payments",
      "regex": "^/purchases/payments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/payments(?:/)?$"
    },
    {
      "page": "/purchases/payments/new",
      "regex": "^/purchases/payments/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/payments/new(?:/)?$"
    },
    {
      "page": "/purchases/returns",
      "regex": "^/purchases/returns(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/returns(?:/)?$"
    },
    {
      "page": "/purchases/returns/new",
      "regex": "^/purchases/returns/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/returns/new(?:/)?$"
    },
    {
      "page": "/purchases/work-orders",
      "regex": "^/purchases/work\\-orders(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/purchases/work\\-orders(?:/)?$"
    },
    {
      "page": "/replacement/claims",
      "regex": "^/replacement/claims(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/claims(?:/)?$"
    },
    {
      "page": "/replacement/claims/new",
      "regex": "^/replacement/claims/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/claims/new(?:/)?$"
    },
    {
      "page": "/replacement/issues",
      "regex": "^/replacement/issues(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/issues(?:/)?$"
    },
    {
      "page": "/replacement/issues/new",
      "regex": "^/replacement/issues/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/issues/new(?:/)?$"
    },
    {
      "page": "/replacement/requests",
      "regex": "^/replacement/requests(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/requests(?:/)?$"
    },
    {
      "page": "/replacement/requests/new",
      "regex": "^/replacement/requests/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/requests/new(?:/)?$"
    },
    {
      "page": "/replacement/returns",
      "regex": "^/replacement/returns(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/returns(?:/)?$"
    },
    {
      "page": "/replacement/returns/new",
      "regex": "^/replacement/returns/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/replacement/returns/new(?:/)?$"
    },
    {
      "page": "/reports",
      "regex": "^/reports(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports(?:/)?$"
    },
    {
      "page": "/reports/balance-sheet",
      "regex": "^/reports/balance\\-sheet(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/balance\\-sheet(?:/)?$"
    },
    {
      "page": "/reports/bankbook",
      "regex": "^/reports/bankbook(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/bankbook(?:/)?$"
    },
    {
      "page": "/reports/cash-flow",
      "regex": "^/reports/cash\\-flow(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/cash\\-flow(?:/)?$"
    },
    {
      "page": "/reports/cashbook",
      "regex": "^/reports/cashbook(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/cashbook(?:/)?$"
    },
    {
      "page": "/reports/due-aging",
      "regex": "^/reports/due\\-aging(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/due\\-aging(?:/)?$"
    },
    {
      "page": "/reports/installment-forecast",
      "regex": "^/reports/installment\\-forecast(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/installment\\-forecast(?:/)?$"
    },
    {
      "page": "/reports/mfs-ledger",
      "regex": "^/reports/mfs\\-ledger(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/mfs\\-ledger(?:/)?$"
    },
    {
      "page": "/reports/party-statement",
      "regex": "^/reports/party\\-statement(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/party\\-statement(?:/)?$"
    },
    {
      "page": "/reports/product-wise",
      "regex": "^/reports/product\\-wise(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/product\\-wise(?:/)?$"
    },
    {
      "page": "/reports/profit-loss",
      "regex": "^/reports/profit\\-loss(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/profit\\-loss(?:/)?$"
    },
    {
      "page": "/reports/purchase-invoice-details",
      "regex": "^/reports/purchase\\-invoice\\-details(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/purchase\\-invoice\\-details(?:/)?$"
    },
    {
      "page": "/reports/purchases",
      "regex": "^/reports/purchases(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/purchases(?:/)?$"
    },
    {
      "page": "/reports/replacement-aging",
      "regex": "^/reports/replacement\\-aging(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/replacement\\-aging(?:/)?$"
    },
    {
      "page": "/reports/sales",
      "regex": "^/reports/sales(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/sales(?:/)?$"
    },
    {
      "page": "/reports/sales-invoice-details",
      "regex": "^/reports/sales\\-invoice\\-details(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/sales\\-invoice\\-details(?:/)?$"
    },
    {
      "page": "/reports/scrap-register",
      "regex": "^/reports/scrap\\-register(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/scrap\\-register(?:/)?$"
    },
    {
      "page": "/reports/stock",
      "regex": "^/reports/stock(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/stock(?:/)?$"
    },
    {
      "page": "/reports/stock-aging",
      "regex": "^/reports/stock\\-aging(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/stock\\-aging(?:/)?$"
    },
    {
      "page": "/reports/trial-balance",
      "regex": "^/reports/trial\\-balance(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reports/trial\\-balance(?:/)?$"
    },
    {
      "page": "/reset-password",
      "regex": "^/reset\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/reset\\-password(?:/)?$"
    },
    {
      "page": "/sales/collections",
      "regex": "^/sales/collections(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/collections(?:/)?$"
    },
    {
      "page": "/sales/collections/new",
      "regex": "^/sales/collections/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/collections/new(?:/)?$"
    },
    {
      "page": "/sales/commissions",
      "regex": "^/sales/commissions(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/commissions(?:/)?$"
    },
    {
      "page": "/sales/installments",
      "regex": "^/sales/installments(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/installments(?:/)?$"
    },
    {
      "page": "/sales/invoices",
      "regex": "^/sales/invoices(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/invoices(?:/)?$"
    },
    {
      "page": "/sales/invoices/new",
      "regex": "^/sales/invoices/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/invoices/new(?:/)?$"
    },
    {
      "page": "/sales/returns",
      "regex": "^/sales/returns(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/returns(?:/)?$"
    },
    {
      "page": "/sales/returns/new",
      "regex": "^/sales/returns/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/sales/returns/new(?:/)?$"
    },
    {
      "page": "/set-password",
      "regex": "^/set\\-password(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/set\\-password(?:/)?$"
    },
    {
      "page": "/settings",
      "regex": "^/settings(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings(?:/)?$"
    },
    {
      "page": "/settings/backup",
      "regex": "^/settings/backup(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/backup(?:/)?$"
    },
    {
      "page": "/settings/barcodes",
      "regex": "^/settings/barcodes(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/barcodes(?:/)?$"
    },
    {
      "page": "/settings/billing",
      "regex": "^/settings/billing(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/billing(?:/)?$"
    },
    {
      "page": "/settings/brands",
      "regex": "^/settings/brands(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/brands(?:/)?$"
    },
    {
      "page": "/settings/categories",
      "regex": "^/settings/categories(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/categories(?:/)?$"
    },
    {
      "page": "/settings/company",
      "regex": "^/settings/company(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/company(?:/)?$"
    },
    {
      "page": "/settings/file-vault",
      "regex": "^/settings/file\\-vault(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/file\\-vault(?:/)?$"
    },
    {
      "page": "/settings/general",
      "regex": "^/settings/general(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/general(?:/)?$"
    },
    {
      "page": "/settings/manufacturers",
      "regex": "^/settings/manufacturers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/manufacturers(?:/)?$"
    },
    {
      "page": "/settings/pos",
      "regex": "^/settings/pos(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/pos(?:/)?$"
    },
    {
      "page": "/settings/pricing",
      "regex": "^/settings/pricing(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/pricing(?:/)?$"
    },
    {
      "page": "/settings/products",
      "regex": "^/settings/products(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/products(?:/)?$"
    },
    {
      "page": "/settings/products/new",
      "regex": "^/settings/products/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/products/new(?:/)?$"
    },
    {
      "page": "/settings/profile",
      "regex": "^/settings/profile(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/profile(?:/)?$"
    },
    {
      "page": "/settings/roles",
      "regex": "^/settings/roles(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/roles(?:/)?$"
    },
    {
      "page": "/settings/sms",
      "regex": "^/settings/sms(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/sms(?:/)?$"
    },
    {
      "page": "/settings/sms-templates",
      "regex": "^/settings/sms\\-templates(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/sms\\-templates(?:/)?$"
    },
    {
      "page": "/settings/store-links",
      "regex": "^/settings/store\\-links(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/store\\-links(?:/)?$"
    },
    {
      "page": "/settings/stores",
      "regex": "^/settings/stores(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/stores(?:/)?$"
    },
    {
      "page": "/settings/stores/new",
      "regex": "^/settings/stores/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/stores/new(?:/)?$"
    },
    {
      "page": "/settings/tax",
      "regex": "^/settings/tax(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/tax(?:/)?$"
    },
    {
      "page": "/settings/uoms",
      "regex": "^/settings/uoms(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/uoms(?:/)?$"
    },
    {
      "page": "/settings/users",
      "regex": "^/settings/users(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/users(?:/)?$"
    },
    {
      "page": "/settings/variants",
      "regex": "^/settings/variants(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/settings/variants(?:/)?$"
    },
    {
      "page": "/signup",
      "regex": "^/signup(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/signup(?:/)?$"
    },
    {
      "page": "/suppliers",
      "regex": "^/suppliers(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/suppliers(?:/)?$"
    },
    {
      "page": "/suppliers/new",
      "regex": "^/suppliers/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/suppliers/new(?:/)?$"
    },
    {
      "page": "/vendors",
      "regex": "^/vendors(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/vendors(?:/)?$"
    },
    {
      "page": "/vendors/new",
      "regex": "^/vendors/new(?:/)?$",
      "routeKeys": {},
      "namedRegex": "^/vendors/new(?:/)?$"
    }
  ],
  "dataRoutes": [],
  "rsc": {
    "header": "rsc",
    "varyHeader": "rsc, next-router-state-tree, next-router-prefetch, next-router-segment-prefetch",
    "prefetchHeader": "next-router-prefetch",
    "didPostponeHeader": "x-nextjs-postponed",
    "contentTypeHeader": "text/x-component",
    "suffix": ".rsc",
    "prefetchSegmentHeader": "next-router-segment-prefetch",
    "prefetchSegmentSuffix": ".segment.rsc",
    "prefetchSegmentDirSuffix": ".segments",
    "clientParamParsing": false,
    "dynamicRSCPrerender": false
  },
  "rewriteHeaders": {
    "pathHeader": "x-nextjs-rewritten-path",
    "queryHeader": "x-nextjs-rewritten-query"
  }
}